Subject: Continued comments on multilanguage support

From: [email-masked] (Cherri Pancake)
Date: Tue, 16 Feb 93 07:27:18 PST

In response to Scott Berryman's comments:
>At any rate, I'm very much for having the interface consistent 
>across languages. This does however, limit what we can do in C++
>and F90. We cannot, for example, use methods in C++ or optional 
>arguments in F90. Will such limitations cause much gnashing of teeth
>in the user community? Will we hate ourselves in a year or two for 
>not taking advantage of the truly rightous F90 features?

I'm not convinced that optional arguments are all that good for the
general technical computing community, anyway, unless there is VERY
GOOD interprocedural argument checking going on (which lets out most
current systems).  Consistency is much more important at this point 
in the evolution cycle.

Cherri Pancake

P.S.  I tried to post this to mpi-lang, but got rejected.